ReflectionClass::newInstance
ReflectionClass::newInstanceWithoutConstructor
ReflectionClass
PHP Manual

# ReflectionClass::newInstanceArgs

(PHP 5 >= 5.1.3)

ReflectionClass::newInstanceArgs — Creates a new class instance from given arguments.

### Description

public object ReflectionClass::newInstanceArgs ([ array `$args` ] )

Creates a new instance of the class, the given arguments are passed to the class constructor.

### Parameters

`args`

  The parameters to be passed to the class constructor as an array.

### Return Values

Returns a new instance of the class.

### Examples

Example #1 Basic usage of ReflectionClass::newInstanceArgs()

`<?php
$class = new ReflectionClass('ReflectionFunction');
$instance = $class->newInstanceArgs(array('substr'));
var_dump($instance);
?>`

The above example will output:

    object(ReflectionFunction)#2 (1) {
      ["name"]=>
      string(6) "substr"
    }

### Errors/Exceptions

A ReflectionException if the class constructor is not public.

A ReflectionException if the class does not have a constructor and the `args` parameter contains one or more parameters.

### See Also

- ReflectionClass::newInstance() - Creates a new class instance from given arguments.
- ReflectionClass::newInstanceWithoutConstructor() - Creates a new class instance without invoking the constructor.

ReflectionClass::newInstance
ReflectionClass::newInstanceWithoutConstructor
ReflectionClass
PHP Manual